# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Sector Class Reference

Defines an area containg a set if Actor[s] that is connected to other Sector[s] through its Portal[s]. More...

`#include <SceneManagerPortals.hpp>`

Inheritance diagram for vl::Sector:

List of all members.

## Classes
class | VisibilityCallback
| A callback object called each time a Sector becomes visible through a Portal. More...
## Public Member Functions
| Sector ()
| Constructor.
ActorCollection * | actors ()
| The Actor object contained in a sector. An actor can be part of multiple sectors.
const ActorCollection * | actors () const
| The Actor object contained in a sector. An actor can be part of multiple sectors.
std::vector< ref< Portal > > & | portals ()
| The portals within a sector that connect it to other sectors.
const std::vector< ref< Portal > > & | portals () const
| The portals within a sector that connect it to other sectors.
std::vector< AABB > & | volumes ()
| A set of volumes used to test if the camera is or not inside a Sector.
const std::vector< AABB > & | volumes () const
| A set of volumes used to test if the camera is or not inside a Sector.
AABB | computeBoundingBox ()
| Returns the bounding box of all the Actor[s] in the sector.
std::vector< ref < VisibilityCallback > > & | callbacks ()
const std::vector< ref < VisibilityCallback > > & | callbacks () const
void | executeCallbacks (const Camera *cam, SceneManagerPortals *psm, Portal *p)
## Protected Attributes
std::vector< ref< Portal > > | mPortals
std::vector< AABB > | mVolumes
ref< ActorCollection > | mActors
std::vector< ref < VisibilityCallback > > | mCallbacks

## Detailed Description

Defines an area containg a set if Actor[s] that is connected to other Sector[s] through its Portal[s].

See also:

- SceneManagerPortals
- Portal
- Portal-Based Culling and Scene Management Tutorial

## Constructor & Destructor Documentation

vl::Sector::Sector | ( |  | ) | `[inline]`

Constructor.

## Member Function Documentation

ActorCollection* vl::Sector::actors | ( |  | ) | `[inline]`

The Actor object contained in a sector. An actor can be part of multiple sectors.

const ActorCollection* vl::Sector::actors | ( |  | ) | const`[inline]`

The Actor object contained in a sector. An actor can be part of multiple sectors.

std::vector< ref<Portal> >& vl::Sector::portals | ( |  | ) | `[inline]`

The portals within a sector that connect it to other sectors.

const std::vector< ref<Portal> >& vl::Sector::portals | ( |  | ) | const`[inline]`

The portals within a sector that connect it to other sectors.

std::vector< AABB >& vl::Sector::volumes | ( |  | ) | `[inline]`

A set of volumes used to test if the camera is or not inside a Sector.

The volumes of a sector must not intersecate with the volumes of another sector.

const std::vector< AABB >& vl::Sector::volumes | ( |  | ) | const`[inline]`

A set of volumes used to test if the camera is or not inside a Sector.

The volumes of a sector must not intersecate with the volumes of another sector.

AABB Sector::computeBoundingBox | ( |  | ) |

Returns the bounding box of all the Actor[s] in the sector.

std::vector< ref<VisibilityCallback> >& vl::Sector::callbacks | ( |  | ) | `[inline]`

const std::vector< ref<VisibilityCallback> >& vl::Sector::callbacks | ( |  | ) | const`[inline]`

void Sector::executeCallbacks | ( | const Camera * | cam,
|  | SceneManagerPortals * | psm,
|  | Portal * | p |
| ) |  |  |

## Member Data Documentation

std::vector< ref<Portal> > vl::Sector::mPortals`[protected]`

std::vector< AABB > vl::Sector::mVolumes`[protected]`

ref< ActorCollection > vl::Sector::mActors`[protected]`

std::vector< ref<VisibilityCallback> > vl::Sector::mCallbacks`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/SceneManagerPortals.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/SceneManagerPortals.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:03 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.